---
apiVersion: batch/v1
kind: Job
metadata:
  name: ${json-unit.regex}^css-test-service-id-[0-9]+
  labels:
    type: snapshot
    app: css-test-service-id
    cssservice-id: test-service-id
    csspool-id: test-pool-id
    csssession-id: test-session-id
spec:
  backoffLimit: 0
  activeDeadlineSeconds: 900
  template:
    metadata:
      name: css-test-service-id
      labels:
        type: snapshot
        app: css-test-service-id
        cssservice-id: test-service-id
        csspool-id: test-pool-id
        csssession-id: test-session-id
    spec:
      containers:
        - name: job-create-snapshot
          image: ${json-unit.ignore}
          imagePullPolicy: IfNotPresent
          args:
            - '${json-unit.regex}^--repo=create-test-snapshot-[a-z0-9]+'
            - '--description=''Create test snapshot'''
            - '--serviceid=test-service-id'
            - '--api-url=https://localhost/swirrl-api/v1.0/notebook'
            - '--notebook-image=jupyter/minimal-notebook'
          env:
            - name: GITHUB_API_KEY
              valueFrom:
                secretKeyRef:
                  name: github-secret
                  key: github-api-key
          volumeMounts:
            - name: working-directory
              mountPath: /work-dir
              subPath: test-pool-id
              readOnly: true
            - name: data
              mountPath: /data-dir
              subPath: test-session-id
              readOnly: true
          resources:
            requests:
              memory: 400M
              cpu: 200m
            limits:
              memory: 400M
              cpu: 200m
      restartPolicy: Never
      initContainers: []
      imagePullSecrets:
        - name: ""
      volumes:
        - name: data
          persistentVolumeClaim:
            claimName: data-directory-test-session-id
        - name: working-directory
          persistentVolumeClaim:
            claimName: working-directory-test-pool-id
